AuthScope (HttpClient Library (Version 3.1))
Date: 2016-03-09

org.apache.commons.httpclient.auth

## Class AuthScope

- java.lang.Object
- - org.apache.commons.httpclient.auth.AuthScope

- Direct Known Subclasses:
    HttpAuthRealm

      public class AuthScope
      extends java.lang.Object

  The class represents an authentication scope consisting of a host name, a port number, a realm name and an authentication scheme name which `Credentials` apply to.
  Since:
    3.0
  Author:
    Oleg Kalnichevski, Adrian Sutton

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AuthScope` | `ANY` Default scope matching any host, port, realm and authentication scheme.
    `static java.lang.String` | `ANY_HOST` The `null` value represents any host.
    `static int` | `ANY_PORT` The `-1` value represents any port.
    `static java.lang.String` | `ANY_REALM` The `null` value represents any realm.
    `static java.lang.String` | `ANY_SCHEME` The `null` value represents any authentication scheme.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthScope(AuthScope authscope)` Creates a copy of the given credentials scope.
    `AuthScope(java.lang.String host, int port)` Creates a new credentials scope for the given `host`, `port`, any realm name, and any authentication scheme.
    `AuthScope(java.lang.String host, int port, java.lang.String realm)` Creates a new credentials scope for the given `host`, `port`, `realm`, and any authentication scheme.
    `AuthScope(java.lang.String host, int port, java.lang.String realm, java.lang.String scheme)` Creates a new credentials scope for the given `host`, `port`, `realm`, and `authentication scheme`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getHost()`
    `int` | `getPort()`
    `java.lang.String` | `getRealm()`
    `java.lang.String` | `getScheme()`
    `int` | `hashCode()`
    `int` | `match(AuthScope that)` Tests if the authentication scopes match.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANY_HOST

          public static final java.lang.String ANY_HOST

      The `null` value represents any host. In the future versions of HttpClient the use of this parameter will be discontinued.

    - #### ANY_PORT

          public static final int ANY_PORT

      The `-1` value represents any port.
      See Also:
        Constant Field Values

    - #### ANY_REALM

          public static final java.lang.String ANY_REALM

      The `null` value represents any realm.

    - #### ANY_SCHEME

          public static final java.lang.String ANY_SCHEME

      The `null` value represents any authentication scheme.

    - #### ANY

          public static final AuthScope ANY

      Default scope matching any host, port, realm and authentication scheme. In the future versions of HttpClient the use of this parameter will be discontinued.

  - ### Constructor Detail

    - #### AuthScope

          public AuthScope(java.lang.String host,
                   int port,
                   java.lang.String realm,
                   java.lang.String scheme)

      Creates a new credentials scope for the given `host`, `port`, `realm`, and `authentication scheme`.
      Parameters:
        `host` - the host the credentials apply to. May be set to `null` if credenticals are applicable to any host.
        `port` - the port the credentials apply to. May be set to negative value if credenticals are applicable to any port.
        `realm` - the realm the credentials apply to. May be set to `null` if credenticals are applicable to any realm.
        `scheme` - the authentication scheme the credentials apply to. May be set to `null` if credenticals are applicable to any authentication scheme.
      Since:
        3.0

    - #### AuthScope

          public AuthScope(java.lang.String host,
                   int port,
                   java.lang.String realm)

      Creates a new credentials scope for the given `host`, `port`, `realm`, and any authentication scheme.
      Parameters:
        `host` - the host the credentials apply to. May be set to `null` if credenticals are applicable to any host.
        `port` - the port the credentials apply to. May be set to negative value if credenticals are applicable to any port.
        `realm` - the realm the credentials apply to. May be set to `null` if credenticals are applicable to any realm.
      Since:
        3.0

    - #### AuthScope

          public AuthScope(java.lang.String host,
                   int port)

      Creates a new credentials scope for the given `host`, `port`, any realm name, and any authentication scheme.
      Parameters:
        `host` - the host the credentials apply to. May be set to `null` if credenticals are applicable to any host.
        `port` - the port the credentials apply to. May be set to negative value if credenticals are applicable to any port.
      Since:
        3.0

    - #### AuthScope

          public AuthScope(AuthScope authscope)

      Creates a copy of the given credentials scope.
      Since:
        3.0

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns:
        the host
      Since:
        3.0

    - #### getPort

          public int getPort()

      Returns:
        the port
      Since:
        3.0

    - #### getRealm

          public java.lang.String getRealm()

      Returns:
        the realm name
      Since:
        3.0

    - #### getScheme

          public java.lang.String getScheme()

      Returns:
        the scheme type
      Since:
        3.0

    - #### match

          public int match(AuthScope that)

      Tests if the authentication scopes match.
      Returns:
        the match factor. Negative value signifies no match. Non-negative signifies a match. The greater the returned value the closer the match.
      Since:
        3.0

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(Object)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

Copyright (c) 1999-2005 - Apache Software Foundation